Open CASCADE Technology: GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox Class Reference

`#include <GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox.hxx>`

Inheritance diagram for GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox:
[legend]

## Public Member Functions
| GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox (const GeomInt_TheMultiLineOfWLApprox &SSP, const Standard_Integer FirstPoint, const Standard_Integer LastPoint, const Handle< AppParCurves_HArray1OfConstraintCouple > &TheConstraints, const math_Vector &Parameters, const Standard_Integer Deg)
Standard_Integer | NbVariables () const
| Returns the number of variables of the function. More...
Standard_Boolean | Value (const math_Vector &X, Standard_Real &F)
| Computes the values of the Functions <F> for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Standard_Boolean | Gradient (const math_Vector &X, math_Vector &G)
| Computes the gradient <G> of the functions for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
Standard_Boolean | Values (const math_Vector &X, Standard_Real &F, math_Vector &G)
| computes the value <F> and the gradient <G> of the functions for the variable <X>. Returns True if the computation was done successfully, False otherwise. More...
const math_Vector & | NewParameters () const
const AppParCurves_MultiCurve & | CurveValue ()
Standard_Real | Error (const Standard_Integer IPoint, const Standard_Integer CurveIndex) const
Standard_Real | MaxError3d () const
Standard_Real | MaxError2d () const
AppParCurves_Constraint | FirstConstraint (const Handle< AppParCurves_HArray1OfConstraintCouple > &TheConstraints, const Standard_Integer FirstPoint) const
AppParCurves_Constraint | LastConstraint (const Handle< AppParCurves_HArray1OfConstraintCouple > &TheConstraints, const Standard_Integer LastPoint) const
Public Member Functions inherited from math_MultipleVarFunctionWithGradient
virtual void | Delete ()
virtual | ~math_MultipleVarFunctionWithGradient ()
Public Member Functions inherited from math_MultipleVarFunction
virtual | ~math_MultipleVarFunction ()
virtual Standard_Integer | GetStateNumber ()
| return the state of the function corresponding to the latestt call of any methods associated to the function. This function is called by each of the algorithms described later which define the function Integer Algorithm::StateNumber(). The algorithm has the responsibility to call this function when it has found a solution (i.e. a root or a minimum) and has to maintain the association between the solution found and this StateNumber. Byu default, this method returns 0 (which means for the algorithm: no state has been saved). It is the responsibility of the programmer to decide if he needs to save the current state of the function and to return an Integer that allows retrieval of the state. More...

## Protected Member Functions
void | Perform (const math_Vector &X)

## Constructor & Destructor Documentation

GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox | ( | const GeomInt_TheMultiLineOfWLApprox & | SSP,
|  | const Standard_Integer | FirstPoint,
|  | const Standard_Integer | LastPoint,
|  | const Handle< AppParCurves_HArray1OfConstraintCouple > & | TheConstraints,
|  | const math_Vector & | Parameters,
|  | const Standard_Integer | Deg
| ) |  |

## Member Function Documentation

const AppParCurves_MultiCurve& GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::CurveValue | ( |  | ) |

Standard_Real GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::Error | ( | const Standard_Integer | IPoint,
|  | const Standard_Integer | CurveIndex
| ) |  | const

AppParCurves_Constraint GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::FirstConstraint | ( | const Handle< AppParCurves_HArray1OfConstraintCouple > & | TheConstraints,
|  | const Standard_Integer | FirstPoint
| ) |  | const

Standard_Boolean GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::Gradient | ( | const math_Vector & | X,
|  | math_Vector & | G
| ) |  |
| virtual

Computes the gradient <G> of the functions for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_MultipleVarFunctionWithGradient.

AppParCurves_Constraint GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::LastConstraint | ( | const Handle< AppParCurves_HArray1OfConstraintCouple > & | TheConstraints,
|  | const Standard_Integer | LastPoint
| ) |  | const

Standard_Real GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::MaxError2d | ( |  | ) | const

Standard_Real GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::MaxError3d | ( |  | ) | const

Standard_Integer GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::NbVariables | ( |  | ) | const
| virtual

Returns the number of variables of the function.

Implements math_MultipleVarFunctionWithGradient.

const math_Vector& GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::NewParameters | ( |  | ) | const

void GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::Perform | ( | const math_Vector & | X | ) |
| protected

Standard_Boolean GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::Value | ( | const math_Vector & | X,
|  | Standard_Real & | F
| ) |  |
| virtual

Computes the values of the Functions <F> for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_MultipleVarFunctionWithGradient.

Standard_Boolean GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox::Values | ( | const math_Vector & | X,
|  | Standard_Real & | F,
|  | math_Vector & | G
| ) |  |
| virtual

computes the value <F> and the gradient <G> of the functions for the variable <X>. Returns True if the computation was done successfully, False otherwise.

Implements math_MultipleVarFunctionWithGradient.

The documentation for this class was generated from the following file:

- GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox.hxx